Videos APIEndpoints
Create an A/B test
Authorization
bearerAuth AuthorizationBearer <token>
Paste your VTurb API token (vt_...). Sent as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/ab_tests" \ -H "Content-Type: application/json" \ -d '{ "name": "Home page test", "folder_id": "66a0c1d2e3f4a5b6c7d8e9f0", "variants": [ { "video_id": "68c1f0a00000000000000e01", "traffic_percentage": 60.5, "locked": false }, { "video_id": "68c1f0a00000000000000e02", "traffic_percentage": 39.5, "locked": true } ] }'{ "id": "68c1f0a0000000000000ab01", "status": "draft", "name": "Home page test", "folder_id": null, "started_at": null, "created_at": "2026-09-01T12:00:00.000Z", "updated_at": "2026-09-02T12:00:00.000Z", "variants": [ { "video_id": "68c1f0a00000000000000e01", "traffic_percentage": 60, "locked": false, "started_at": null }, { "video_id": "68c1f0a00000000000000e02", "traffic_percentage": 40, "locked": false, "started_at": null } ]}